Subject: Re: [PATCH v3] ipvs: increase ip_vs_conn_tab_bits range for 64BIT

From: Simon Horman <[email-masked]>
Date: Thu, 29 Jun 2023 08:02:57 +0200

On Wed, Jun 28, 2023 at 02:54:59PM -0700, Abhijeet Rastogi wrote:
> Hi Pablo,
> 
> Thanks for applying to nf-next.
> 
> Sorry for a noob question, I see that the commit is here now:
> https://git.kernel.org/pub/scm/linux/kernel/git/netfilter/nf-next.git/commit/?id=04292c695f82b6cf0d25dd5ae494f16ddbb621f6
> 
> How long before it's merged on github.com/torvalds/linux/?

Hi Abhijeet,

Please don't top-post on Kernel mailing lists.

I believe that your patch propagated into Linux's tree
(github.com/torvalds/linux/) within the last 24h.
And should be included in v6.5-rc1 and from there v6.5.

I would expect v6.5-rc1 to be released in approximately 10 days.
And v6.5 to be released in approximately 9 weeks.

> On Thu, Jun 1, 2023 at 12:17 PM Pablo Neira Ayuso <[email-masked]>
> wrote:
> 
> > On Tue, May 16, 2023 at 08:08:49PM -0700, Abhijeet Rastogi wrote:
> > > Current range [8, 20] is set purely due to historical reasons
> > > because at the time, ~1M (2^20) was considered sufficient.
> > > With this change, 27 is the upper limit for 64-bit, 20 otherwise.
> > >
> > > Previous change regarding this limit is here.
> > >
> > > Link:
> > https://lore.kernel.org/all/[email-masked]/T/#u
> >
> > Applied to nf-next, thanks
> >
> 
> 
> -- 
> Cheers,
> Abhijeet (https://abhi.host)